summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2015-12-29 19:31:47 +0800
committerIan Delaney <idella4@gentoo.org>2015-12-29 19:33:29 +0800
commit7b101de34fa03e12b9d55d15d583be457ee8d65f (patch)
tree978a26c43f4862bf19714656899a3e4f75a17f54 /dev-python
parentgames-action/d1x-rebirth: amd64 stable wrt bug #570046 (diff)
parentdev-python/inflect: needed as a new dep to dev-python/irc (diff)
downloadgentoo-7b101de34fa03e12b9d55d15d583be457ee8d65f.tar.gz
gentoo-7b101de34fa03e12b9d55d15d583be457ee8d65f.tar.bz2
gentoo-7b101de34fa03e12b9d55d15d583be457ee8d65f.zip
Merge remote-tracking branch 'remotes/sbraz/inflect'
Pull request: https://github.com/gentoo/gentoo/pull/552
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/inflect/Manifest1
-rw-r--r--dev-python/inflect/inflect-0.2.5.ebuild25
-rw-r--r--dev-python/inflect/metadata.xml14
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/inflect/Manifest b/dev-python/inflect/Manifest
new file mode 100644
index 00000000000..4f1374690db
--- /dev/null
+++ b/dev-python/inflect/Manifest
@@ -0,0 +1 @@
+DIST inflect-0.2.5.tar.gz 109756 SHA256 2014c8dcb2114ebae2941ba3f0fbd98a02c846792a7b72f2da31eb9aa431a818 SHA512 68371158ac90d9662c19657cbf697f44ee9ceac090286d53e29ee04252efbb7d0bfbd99ae6847e6eec1991ef4ef670eff60693d1f0a301885bab2a09c7ce4616 WHIRLPOOL 4c6a88a43fd126ebebcace4a0fce3453253db1495f4c5fe26ea60c5f8237c484383e766d64e4d51957b15bbdcdf686951fd733827cfee3c111af71646718b546
diff --git a/dev-python/inflect/inflect-0.2.5.ebuild b/dev-python/inflect/inflect-0.2.5.ebuild
new file mode 100644
index 00000000000..815b0e90c35
--- /dev/null
+++ b/dev-python/inflect/inflect-0.2.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Correctly inflect words and numbers"
+HOMEPAGE="https://github.com/pwdyson/inflect.py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${PV}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+ nosetests tests || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/inflect/metadata.xml b/dev-python/inflect/metadata.xml
new file mode 100644
index 00000000000..bbe181ee663
--- /dev/null
+++ b/dev-python/inflect/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>sautier.louis@gmail.com</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">inflect</remote-id>
+ <remote-id type="github">pwdyson/inflect.py</remote-id>
+ </upstream>
+</pkgmetadata>